Bug 1062910 - [RFE] Full support for vmware image conversion
Summary: [RFE] Full support for vmware image conversion
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-image-uploader
Version: 3.5
Hardware: Unspecified
OS: All
low
low
Target Milestone: ---
: 3.6.0
Assignee: Michal Skrivanek
QA Contact: bugs@ovirt.org
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 14:16 UTC by Maurice James
Modified: 2016-02-10 19:49 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-02 10:55:09 UTC
oVirt Team: Virt


Attachments (Terms of Use)

Description Maurice James 2014-02-08 14:16:14 UTC
Feature request
Request for the ability to convert vmware guest machines to oVirt/RHEV, either through the web console or cli. I believe that is a key feature that can surely put oVirt/RHEV way ahead of the field

Comment 1 Sandro Bonazzola 2014-02-13 14:22:30 UTC
AFAIK, you should use "virt-v2v -o rhev ......" in order to convert a vmware guet to oVirt/RHEV. So you already have a tool for doing that.
Closing as wontfix since the tool already exists.

Comment 2 Maurice James 2014-02-13 16:54:10 UTC
(In reply to Sandro Bonazzola from comment #1)
> AFAIK, you should use "virt-v2v -o rhev ......" in order to convert a vmware
> guet to oVirt/RHEV. So you already have a tool for doing that.
> Closing as wontfix since the tool already exists.

This works only if you have an existing esx instance. If some on give me an exported vmware vm, how do I get it into RHEV/oVirt?

Comment 3 Itamar Heim 2014-02-20 07:57:21 UTC
Rich - any insight if the new guestconv will cover this use case?

Comment 5 Maurice James 2014-05-29 17:49:30 UTC
Is there any traction on this?

Comment 6 Richard W.M. Jones 2014-05-29 18:07:38 UTC
(In reply to Maurice James from comment #2)
> (In reply to Sandro Bonazzola from comment #1)
> > AFAIK, you should use "virt-v2v -o rhev ......" in order to convert a vmware
> > guet to oVirt/RHEV. So you already have a tool for doing that.
> > Closing as wontfix since the tool already exists.
> 
> This works only if you have an existing esx instance. If some on give me an
> exported vmware vm, how do I get it into RHEV/oVirt?

Currently there is no way to do this.

We're working on some things upstream, and hope to eventually
have OVA conversion working in virt-v2v, but there's no code at
the moment.

Comment 7 Jiří Sléžka 2014-06-24 22:41:02 UTC
I also think that this is really needed feature. There are lot of (enterprise) appliances in form of *.ovf and there is no easy way to import them into oVirt (in contrast to VirtualBox for example). I vote also for possibility to import *.ovf also directly from web management...

Comment 8 Sven Kieske 2014-06-25 07:09:20 UTC
I guess these BZs overlap at least a bit, can they get merged?
https://bugzilla.redhat.com/show_bug.cgi?id=1049604

Comment 9 Richard W.M. Jones 2014-06-25 07:35:10 UTC
(In reply to Sven Kieske from comment #8)
> I guess these BZs overlap at least a bit, can they get merged?
> https://bugzilla.redhat.com/show_bug.cgi?id=1049604

No, they are two quite different requests.

(In reply to Jiří Sléžka from comment #7)
> I also think that this is really needed feature. There are lot of
> (enterprise) appliances in form of *.ovf and there is no easy way to import
> them into oVirt (in contrast to VirtualBox for example). I vote also for
> possibility to import *.ovf also directly from web management...

Nothing is going to happen on this topic until someone steps
up to do the work.

Comment 10 Sandro Bonazzola 2014-07-22 08:33:24 UTC
Tentatively targeting this to 3.6 since it seems a widely requested feature. 
Richard, in comment #6 you said 
"We're working on some things upstream, and hope to eventually
have OVA conversion working in virt-v2v, but there's no code at
the moment."

Do we have a reference bug on virt-v2v side for introducing this support?
Something we can track?

Comment 12 Sandro Bonazzola 2014-07-22 11:05:47 UTC
Dropping target 3.6 and reducing priority, need to figure out first when and if virt-v2v will support this use case.

Comment 13 Sandro Bonazzola 2014-08-08 13:39:03 UTC
Reassigning to virt guys

Comment 14 Michal Skrivanek 2015-06-02 10:55:09 UTC
current RHEL 7 release understands .ova
please open a virt-v2v bug if there is any specific issue/bug

Comment 15 Sven Kieske 2015-06-08 07:09:52 UTC
I do not think this is "closed current release".

this bug was about support of conversion from vmware based ova's without a running esxi instance.

maybe this bug should be assigned to virt-v2v instead of ovirt?

Comment 16 Michal Skrivanek 2015-06-08 07:21:19 UTC
virt-v2v would be better fit indeed.
But from the perspective of oVirt support this is addressed as long as you are on EL 7 or Fedora; we added that in 3.5, hence closed in oVirt.

Comment 17 Richard W.M. Jones 2015-06-08 07:23:28 UTC
virt-v2v already has support for importing OVAs (since 7.1).


Note You need to log in before you can comment on or make changes to this bug.